/**
 * 
 */
package com.amarinkovic.twitter.action;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;

import twitter4j.TwitterException;

import com.amarinkovic.twitter.model.Tweet;
import com.amarinkovic.twitter.service.ITwitterService;
import com.opensymphony.xwork2.ActionSupport;

/**
 * Action implementation that gets current friends timeline entries.
 * 
 * @author Aleksandar
 * 
 */
public class TwitterAction extends ActionSupport {

	/**
	 * Serial Version ID
	 */
	private static final long serialVersionUID = -8400361130966851597L;

	@Autowired
	private ITwitterService twitterService;

	protected List<Tweet> tweets;

	public TwitterAction() {}

	@Override
	public String execute() {
		try {
			tweets = twitterService.getFriendsTimeline();
		} catch (TwitterException e) {
			e.printStackTrace();
		}
		return SUCCESS;
	}

	public ITwitterService getTwitterService() {
		return twitterService;
	}

	public void setTwitterService(ITwitterService twitterService) {
		this.twitterService = twitterService;
	}

	public List<Tweet> getTweets() {
		return tweets;
	}

	public void setTweets(List<Tweet> tweets) {
		this.tweets = tweets;
	}

}